Delete a fuel purchase

Purpose: Use this API to delete an existing record of a fuel purchase. You must specify the ID of the fuel purchase transaction to delete from the records. Refer to the Path Parameters section for more info.

require 'uri'
require 'net/http'
require 'json'

url = URI('https://api.gomotive.com/v1/fuel_purchases/<id>')

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request['Authorization'] = "Bearer <OAUTH_TOKEN>"

response = http.request(request)
puts response.read_body

Response Parameters

success

  • Type: Boolean
  • Description: Denotes if the fuel purchase was deleted successfully or not.

Path Params
int32
required

Specify the ID of the fuel purchase that you want to delete.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json